# vim: set sw=4 ts=4 et:
# Copyright (c) 2006-2009 oc2pus
#               2011      Pascal Bleser <pascal.bleser@opensuse.org>
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to packman@links2linux.de

%define _gst_branch	0.10
%define _maj_ver	0.5

Name:           gstreamer-0_10-buzztard
Summary:        This module contains experimental code that extends gstreamer
License:        LGPL
Group:          System/Libraries
Version:        0.5.0
Release:        47.10
# http://prdownloads.sourceforge.net/buzztard/gst-buzztard-%{version}.tar.gz
Source:         gst-buzztard-%{version}.tar.bz2
Patch:          %{name}-returns-random-data.patch
URL:            http://www.buzztard.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  alsa-devel
BuildRequires:  docbook-toys
BuildRequires:  docbook-utils
BuildRequires:  docbook-xsl-stylesheets
BuildRequires:  docbook_3
BuildRequires:  docbook_4
BuildRequires:  docbook-dsssl-stylesheets
BuildRequires:  e2fsprogs-devel
BuildRequires:  gamin-devel
BuildRequires:  gcc-c++
BuildRequires:  gstreamer-0_10-devel
BuildRequires:  gstreamer-0_10-plugins-base-devel
BuildRequires:  gtkdoc
BuildRequires:  lash-devel
BuildRequires:  libbml-devel
BuildRequires:  libfluidsynth-devel
BuildRequires:  libjack-devel >= 0.109
BuildRequires:  krb5-devel
BuildRequires:  mDNSResponder-lib
BuildRequires:  pkgconfig
BuildRequires:  valgrind
BuildRequires:  sgml-skel
Requires:       alsa
Requires:       gstreamer-0_10
Requires:       gstreamer-0_10-plugins-base
Requires:       jack >= 0.109
# Name up to 10.3:
Provides:       gstreamer010-buzztard = %{version}
Obsoletes:      gstreamer010-buzztard < %{version}

%description
This package contains code that eventualy will be move to gstreamer
and right now is needed to build all other buzztard-modules.

%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries/C and C++
Requires:       alsa-devel
Requires:       e2fsprogs-devel
Requires:       gamin-devel
Requires:       glib2-devel
Requires:       lash-devel
Requires:       libbml-devel
Requires:       libfluidsynth-devel
Requires:       libjack-devel
Requires:       %{name} = %{version}
Requires:       gstreamer-0_10-devel
Requires:       gstreamer-0_10-plugins-base-devel
# Name up to 10.3:
Provides:       gstreamer010-buzztard-devel = %{version}
Obsoletes:      gstreamer010-buzztard-devel < %{version}

%description devel
Development headers for %{name}, to build against it.


%prep
%setup -q -n "gst-buzztard-%{version}"
%patch -p1
#%{?suse_update_config:%{suse_update_config}}

%build
%configure \
    --enable-gtk-doc
#	--with-html-dir=
%__make %{?jobs:-j%{jobs}}

%install
%makeinstall

%__rm %{buildroot}%{_libdir}/gstreamer-%{_gst_branch}/lib*.la
%__rm %{buildroot}%{_libdir}/*.la

# for backwards compatibility:
pushd "%{buildroot}%{_includedir}"
%__mkdir gst
cd gst
for f in ../libgstbuzztard/*.h; do
    [ -e "$f" ] && %__ln_s "$f" .
done
popd

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_libdir}/libgstbuzztard.so.0
%{_libdir}/libgstbuzztard.so.%{version}
%dir %{_libdir}/gstreamer-%{_gst_branch}
%{_libdir}/gstreamer-%{_gst_branch}/libgstaudiodelay.so
%{_libdir}/gstreamer-%{_gst_branch}/libgstfluidsynth.so
%{_libdir}/gstreamer-%{_gst_branch}/libgstsimsyn.so

%files devel
%defattr(-, root, root)
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%dir %{_includedir}/libgstbuzztard
%{_includedir}/libgstbuzztard/*.h
%dir %{_includedir}/gst
%{_includedir}/gst/*.h
%dir %{_datadir}/gtk-doc/html/gst-buzztard
%{_datadir}/gtk-doc/html/gst-buzztard/*

%changelog
* Mon Feb 21 2011 pascal.bleser@opensuse.org
- reformat spec-file
- add symbolic links to headers under gst/ as well, for compatibility
* Sat Oct 24 2009 toni@links2linux.de
- update to 0.5.0
- In gst-buzztard, lots of improvements were made in the buzzmachine wrapper,
  buzz index support was added for categories, and machines were made
  live-playable
* Thu Nov 27 2008 toni@links2linux.de
- update to 0.4.0
* Fri Apr 25 2008 toni@links2linux.de
- changed package layout similar to openSuSE-11.0
* Thu Mar 27 2008 toni@links2linux.de
- update to 0.3.0
* Sun Dec 30 2007 toni@links2linux.de
- corrected Requires/BuildRequires
- build for SuSE-10.0 and SuSE-10.1
* Sun Sep  9 2007 toni@links2linux.de
- openSUSE-10.3 build
- rebuild to force PM-package name to gstreamer010-buzztard
- _prefix ==> /usr
* Thu May  3 2007 toni@links2linux.de
- update to 0.2.0
* Fri Nov 10 2006 toni@links2linux.de
- initial build - version 0.1.0
